1. Quota Management
Ludus API
  • Host Management
    • Retrieve the ludus version
      GET
    • Retrieve the ludus license
      GET
    • Diagnostics
      GET
    • Retrieve the Ludus OpenAPI specification
      GET
  • Ansible Management
    • Retrieve available subscription roles
      GET
    • Install subscription roles
      POST
    • Get role variables for one or more Ansible roles
      POST
    • Retrieve available Ansible roles and collections
      GET
    • Move or copy roles between global and local scopes
      PATCH
    • Install or Remove an Ansible role
      POST
    • Install an Ansible role from local directory
      PUT
    • Install an Ansible collection
      POST
  • User Management
    • whoami
      GET
    • Get Default Range ID
      GET
    • Set Default Range ID
      POST
    • Get user group memberships
      GET
    • List user details
      GET
    • Add a user to the system
      POST
    • Remove a user from the system
      DELETE
    • Get proxmox creds for a user
      GET
    • Set the Ludus and Proxmox creds for the user
      POST
    • Reset and retrieve the Ludus API key for a user
      GET
    • List all users
      GET
    • Retrieve a WireGuard configuration file for a user
      GET
  • Range Management
    • VM Management
      • Destroy VM
    • List range VMs, power state, and testing state
    • Delete a range from the database and proxmox host
    • Stop the range deployment ansible process
    • Stop and delete all range VMs
    • List all tags available to use with deploy
    • List summary information for all ranges
    • Retrieve range configuration
    • Update the range configuration
    • Retrieve an example range configuration
    • Deploy the range
    • Retrieve the latest range logs
    • Retrieve /etc/hosts file for the range
    • Retrieve a ssh config
    • Retrieve a zip file of RDP configs
    • Retrieve an ansible inventory
    • Create a new range
    • Assign a range to a user (admin only)
    • Revoke range access from a user (admin only)
    • List users with access to a range (admin only)
    • List ranges accessible to the user
    • List range deploy log history
    • Retrieve a specific range log history entry
    • Retrieve auto-shutdown configuration (enterprise)
    • Update auto-shutdown (enterprise)
  • Power State Management
    • Power on range VMs
    • Power off range VMs
  • Testing State Management
    • Snapshot and enter testing state
    • Revert and exit testing state
    • Allow a domain
    • Deny a domain
    • Update a VM or group
  • Anti-Sandbox Management
    • Enable anti-sandbox for a VM or multiple VMs (enterprise)
    • Install the custom QEMU/OMVF packages
    • Install the standard QEMU/OMVF packages
  • Template Management
    • Retrieve a list of VM templates
    • Build templates
    • Install an Ansible role from local directory
    • Delete a template
    • Kill packer processes for user
    • Retrieve the latest packer logs
    • Get the status of packer builds
    • List template build log history
    • Retrieve a specific template log history entry
  • Snapshot Management
    • Get all snapshots for a range
    • Take a snapshot of a VM or multiple VMs
    • Roll back to a snapshot of a VM or multiple VMs
    • Delete a snapshot from a VM or multiple VMs
  • KMS Management
    • Setup the KMS VM and install the KMS server
    • License Windows VMs using the KMS server
  • Group Management
    • Create a new group
    • List all groups
    • Delete a group
    • List group members
    • Add users to group
    • Remove users from group
    • List group ranges
    • Add ranges to group
    • Remove ranges from group
  • Migration
    • SDN Migration Status
    • Migrate to SDN networking
    • Migrate SQLite to PocketBase
  • Virtual Consoles
    • Get Console Websocket Ticket
    • Connect to VM Console WebSocket
  • Blueprint Management
    • List accessible blueprints
    • Create blueprint from range
    • Delete blueprint
    • Copy blueprint
    • Apply blueprint to range
    • Get blueprint config
    • Update blueprint config
    • Share blueprint with groups
    • Unshare blueprint from groups
    • Share blueprint with users
    • Unshare blueprint from users
    • List blueprint access users
    • List blueprint access groups
  • Quota Management
    • Get quota status for the current user
      GET
    • Set quotas for one or more users (admin only)
      PUT
    • Get quota status for all users (admin only)
      GET
    • Get system-wide default quotas (admin only)
      GET
    • Get default quotas for all groups (admin only)
      GET
    • Set default quotas for one or more groups (admin only)
      PUT
  • Schemas
    • Group Management
    • Blueprint Management
    • BulkAddUsersToGroupRequest
    • userID
    • BlueprintListItem
    • BulkRemoveUsersFromGroupRequest
    • rangeID
    • CreateBlueprintFromRangeRequest
    • BulkAddRangesToGroupRequest
    • UserObject
    • CopyBlueprintRequest
    • BulkRemoveRangesFromGroupRequest
    • UserAPIKeyObject
    • ApplyBlueprintRequest
    • BulkGroupOperationResponse
    • UserCredentialObject
    • UpdateBlueprintConfigRequest
    • BulkGroupOperationErrorItem
    • RangeObject
    • UserMembershipObject
    • BulkShareBlueprintWithGroupsRequest
    • BlueprintAccessUserItem
    • BulkUnshareBlueprintWithGroupsRequest
    • BlueprintAccessGroupItem
    • VMObject
    • Domain
    • BulkShareBlueprintWithUsersRequest
    • IP
    • BulkUnshareBlueprintWithUsersRequest
    • AllowPayload
    • BulkBlueprintOperationErrorItem
    • SnapshotInfo
    • BulkBlueprintOperationResponse
    • BlueprintMutationResponse
    • ErrorInfo
    • SnapshotCreatePayload
    • LicenseDataObject
    • LogHistoryEntry
    • LogHistoryDetailResponse
  1. Quota Management

Get quota status for all users (admin only)

Developing
Cloud Mock
https://mock.apidog.com/m1/1126461-0-default
Cloud Mock
https://mock.apidog.com/m1/1126461-0-default
GET
/user/quotas/all
Returns effective quota limits, current usage, and quota source for all users.
Source indicates where the effective quota comes from: U (user), G (group default), S (system default).

Request

Authorization
or
or

Responses

🟢200
application/json
all users' quota status
Body

🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://mock.apidog.com/m1/1126461-0-default/user/quotas/all'
Response Response Example
200 - Example 1
[
    {
        "userID": "JD",
        "name": "John Doe",
        "limitRAM": 64,
        "limitCPU": 16,
        "limitVMs": 10,
        "limitRanges": 3,
        "usedRAM": 24,
        "usedCPU": 12,
        "usedVMs": 5,
        "usedRanges": 2,
        "sourceRAM": "U",
        "sourceCPU": "G",
        "sourceVMs": "G",
        "sourceRanges": "S"
    }
]
Modified at 2026-04-09 22:16:03
Previous
Set quotas for one or more users (admin only)
Next
Get system-wide default quotas (admin only)
Built with